Package com.pixelmed.dose

# Class CTIrradiationEventDataFromImages

java.lang.Object
com.pixelmed.dose.CTIrradiationEventDataFromImages

public class CTIrradiationEventDataFromImages extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Set<File>`
`filesAlreadyDone`

## Constructor Summary

Constructors
Constructor
Description
`CTIrradiationEventDataFromImages()`
`CTIrradiationEventDataFromImages(String path)`
`CTIrradiationEventDataFromImages(Vector<String> paths)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(File file)`
`void`
`add(String path)`
`CTAcquisitionParameters`
`getAcquisitionParametersByAcquisitionNumberAndStudyInstanceUID(String acquisitionNumberAndStudyInstanceUIDKey)`
`CTAcquisitionParameters`
`getAcquisitionParametersBySeriesNumberScanRangeAndStudyInstanceUID(String seriesNumberAndScanRangeAndStudyInstanceUIDKey)`
`CTAcquisitionParameters`
`getAcquisitionParametersForIrradiationEvent(String uid)`
`DisplayableConcept`
`getCombinedAnatomyForStudy(String studyInstanceUID)`
`ArrayList<String>`
`getDoseScreenFilenames()`
`ArrayList<String>`
`getDoseScreenOrStructuredReportFilenames()`
`ArrayList<String>`
`getDoseScreenOrStructuredReportFilenames(boolean includeScreen, boolean includeSR)`
`ArrayList<String>`
`getDoseStructuredReportFilenames()`
`static double`
`getDoubleValueOrZeroIfEmpty(String s)`
`static double`
`getDoubleValueOrZeroIfEmptyOrInvalid(String s)`
`String`
`getOverallEarliestAcquisitionDateTimeForStudy(String studyInstanceUID)`
`String`
`getOverallLatestAcquisitionDateTimeForStudy(String studyInstanceUID)`
`String`
`getPatientAge()`
`String`
`getPatientSex()`
`String`
`getPatientSize()`
`String`
`getPatientWeight()`
`String`
`getTimezoneOffsetFromUTC()`
`static final void`
`main(String[] arg)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### filesAlreadyDone

protected Set<File> filesAlreadyDone

## Constructor Details

### CTIrradiationEventDataFromImages

public CTIrradiationEventDataFromImages()

### CTIrradiationEventDataFromImages

public CTIrradiationEventDataFromImages(String path)

### CTIrradiationEventDataFromImages

public CTIrradiationEventDataFromImages(Vector<String> paths)

## Method Details

### getDoseScreenFilenames

public ArrayList<String> getDoseScreenFilenames()

### getDoseStructuredReportFilenames

public ArrayList<String> getDoseStructuredReportFilenames()

### getDoseScreenOrStructuredReportFilenames

public ArrayList<String> getDoseScreenOrStructuredReportFilenames()

### getDoseScreenOrStructuredReportFilenames

public ArrayList<String> getDoseScreenOrStructuredReportFilenames(boolean includeScreen, boolean includeSR)

### getDoubleValueOrZeroIfEmpty

public static double getDoubleValueOrZeroIfEmpty(String s) throws NumberFormatException

Throws:
  `NumberFormatException`

### getDoubleValueOrZeroIfEmptyOrInvalid

public static double getDoubleValueOrZeroIfEmptyOrInvalid(String s)

### getTimezoneOffsetFromUTC

public String getTimezoneOffsetFromUTC()

### getPatientAge

public String getPatientAge()

### getPatientSex

public String getPatientSex()

### getPatientWeight

public String getPatientWeight()

### getPatientSize

public String getPatientSize()

### getOverallEarliestAcquisitionDateTimeForStudy

public String getOverallEarliestAcquisitionDateTimeForStudy(String studyInstanceUID)

### getOverallLatestAcquisitionDateTimeForStudy

public String getOverallLatestAcquisitionDateTimeForStudy(String studyInstanceUID)

### getCombinedAnatomyForStudy

public DisplayableConcept getCombinedAnatomyForStudy(String studyInstanceUID)

### getAcquisitionParametersForIrradiationEvent

public CTAcquisitionParameters getAcquisitionParametersForIrradiationEvent(String uid)

### getAcquisitionParametersBySeriesNumberScanRangeAndStudyInstanceUID

public CTAcquisitionParameters getAcquisitionParametersBySeriesNumberScanRangeAndStudyInstanceUID(String seriesNumberAndScanRangeAndStudyInstanceUIDKey)

### getAcquisitionParametersByAcquisitionNumberAndStudyInstanceUID

public CTAcquisitionParameters getAcquisitionParametersByAcquisitionNumberAndStudyInstanceUID(String acquisitionNumberAndStudyInstanceUIDKey)

### add

public void add(String path)

### add

public void add(File file)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static final void main(String[] arg)